Delete Chat Thread - Delete Chat Thread
スレッドを削除します。
DELETE {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
chat
|
path | True |
string |
削除するスレッド ID。 |
|
endpoint
|
path | True |
string |
Azure Communication リソースのエンドポイント。 |
|
api-version
|
query | True |
string |
呼び出す API のバージョン。 |
要求ヘッダー
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| Authorization | True |
string |
ACS (Azure Communication Services) ユーザー アクセス トークン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 204 No Content |
要求が成功しました。 |
|
| 401 Unauthorized |
不正 |
|
| 403 Forbidden |
禁じられた |
|
| 429 Too Many Requests |
要求が多すぎます |
|
| Other Status Codes |
サービスを利用できない |
セキュリティ
Authorization
ACS (Azure Communication Services) ユーザー アクセス トークン。
型:
apiKey
/:
header
例
Delete chat thread
要求のサンプル
DELETE https://contoso.westus.communications.azure.com/chat/threads/19:9525281ac1f947fc884bcee1a9f983c2@thread.v2?api-version=2020-09-21-preview2
応答のサンプル
{
"code": "Unauthorized",
"message": "Request is not authorized."
}
{
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
{
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
{
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
定義
Error
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
|
| innerErrors |
Error[] |
|
| message |
string |
|
| target |
string |